//SALTO ENTRE CAMPOS PULSANDO ENTER
//Iv&aacute;n Nieto P&eacute;rez
//Este script y otros muchos pueden
//descarse on-line de forma gratuita
//en El C&oacute;digo: www.elcodigo.net

//nombre del primer campo en la secuencia
siguienteCampo = "p_id1"
//nombre del formlario
nombreForm = "formElem"
//deteccion del navegador
netscape = document.layers

//funcion que gestiona el evento
function TelcaPulsada( eventoPulsaTecla ) {
   tecla = (netscape) ? eventoPulsaTecla.which : window.event.keyCode
   if (tecla == 13 || tecla == 09) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
//         eval('document.' + nombreForm + '.' + siguienteCampo + '.focus()')
           document.getElementById(siguienteCampo).focus();
         
            
            return false
      }
   }
}

document.onkeydown = TelcaPulsada			//asigna el evento pulsacion tecla a la funcion

if (netscape)						//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
